/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */
namespace TopCoder.Test.Framework.Servers
{
    /// <summary>
    /// Defines a mock concrete implementation of the <c>Server</c> class. It records the call to the methods. It always
    /// throws error when <c>StartUp()</c> is called.
    /// </summary>
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    public class StartErrorServer : MockServer
    {
        /// <summary>
        /// Creates a new instance of <c>StartErrorServer</c> class.
        /// </summary>
        public StartErrorServer()
        {
        }

        /// <summary>
        /// Starts up the server.
        /// </summary>
        /// <remarks>
        /// This method is called only if the start flag is set to <c>true</c>. It is called before the initialization
        /// of the server and the tests.
        /// </remarks>
        /// <exception cref="ServerException">It always throw this exception.</exception>
        public override void StartUp()
        {
            base.StartUp();

            throw new ServerException("start");
        }
    }
}

