/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */
using NUnit.Framework;
using NUnit.Extensions.Asp;
using NUnit.Extensions.Asp.AspTester;

namespace TopCoder.Test.Framework
{
    /// <summary>
    /// Demonstrates the usage of this component. This is a simple test case which tests the HTML web page deployed
    /// by the framework.
    /// </summary>
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    [TestFixture]
    public class Demo : WebFormTestCase
    {
        /// <summary>
        /// Tests accuracy of the deployed HTML web page. A button with ID 'Test' should exist.
        /// </summary>
        [Test]
        public void TestDeployedAccuracy()
        {
            // Get the web page
            Browser.GetPage("http://localhost/website/test.aspx");

            // Verify the button
            ButtonTester tester = new ButtonTester("Test", CurrentWebForm);

            AssertVisibility(tester, true);
        }
    }
}